Abs
Arithmetic Operations

Absolute value of each sample of a signal. More...

## Functions

NppStatus | nppsAbs_16s (const Npp16s *pSrc, Npp16s *pDst, int nLength)
| 16-bit signed short signal absolute value. More...
NppStatus | nppsAbs_32s (const Npp32s *pSrc, Npp32s *pDst, int nLength)
| 32-bit signed integer signal absolute value. More...
NppStatus | nppsAbs_32f (const Npp32f *pSrc, Npp32f *pDst, int nLength)
| 32-bit floating point signal absolute value. More...
NppStatus | nppsAbs_64f (const Npp64f *pSrc, Npp64f *pDst, int nLength)
| 64-bit floating point signal absolute value. More...
NppStatus | nppsAbs_16s_I (Npp16s *pSrcDst, int nLength)
| 16-bit signed short signal absolute value. More...
NppStatus | nppsAbs_32s_I (Npp32s *pSrcDst, int nLength)
| 32-bit signed integer signal absolute value. More...
NppStatus | nppsAbs_32f_I (Npp32f *pSrcDst, int nLength)
| 32-bit floating point signal absolute value. More...
NppStatus | nppsAbs_64f_I (Npp64f *pSrcDst, int nLength)
| 64-bit floating point signal absolute value. More...

## Detailed Description

Absolute value of each sample of a signal.

## Function Documentation

NppStatus nppsAbs_16s | ( | const Npp16s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength
| ) |  |

16-bit signed short signal absolute value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAbs_16s_I | ( | Npp16s * | pSrcDst,
|  | int | nLength
| ) |  |

16-bit signed short signal absolute value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAbs_32f | ( | const Npp32f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

32-bit floating point signal absolute value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAbs_32f_I | ( | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

32-bit floating point signal absolute value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAbs_32s | ( | const Npp32s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength
| ) |  |

32-bit signed integer signal absolute value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAbs_32s_I | ( | Npp32s * | pSrcDst,
|  | int | nLength
| ) |  |

32-bit signed integer signal absolute value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAbs_64f | ( | const Npp64f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

64-bit floating point signal absolute value.

Parameters

  pSrc | Source Signal Pointer.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAbs_64f_I | ( | Npp64f * | pSrcDst,
|  | int | nLength
| ) |  |

64-bit floating point signal absolute value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2017 NVIDIA Corporation